# log4cplus::helpers::LogLogUser Class Reference

This class used to simplify the use of the LogLog class. More...

`#include <logloguser.h>`

Inheritance diagram for log4cplus::helpers::LogLogUser:

[legend]
List of all members.

## Public Member Functions

| LogLogUser ()
| LogLogUser (const LogLogUser &)
virtual | ~LogLogUser ()
LogLog & | getLogLog () const
LogLogUser & | operator= (const LogLogUser &rhs)

## Detailed Description

This class used to simplify the use of the LogLog class.

Any class that uses the LogLog class should extend this class and retrieve their reference to LogLog using the method provided.

Definition at line 32 of file logloguser.h.

## Constructor & Destructor Documentation

log4cplus::helpers::LogLogUser::LogLogUser | ( |  | ) |

log4cplus::helpers::LogLogUser::LogLogUser | ( | const LogLogUser & |  | ) |

virtual log4cplus::helpers::LogLogUser::~LogLogUser | ( |  | ) | `[virtual]`

## Member Function Documentation

LogLog& log4cplus::helpers::LogLogUser::getLogLog | ( |  | ) | const

LogLogUser& log4cplus::helpers::LogLogUser::operator= | ( | const LogLogUser & | rhs | ) |

The documentation for this class was generated from the following file:

- logloguser.h